const commPrefix = '/api/admin'

const apis = {
  system: {
    signin: {
      url: `${commPrefix}/signin`,
      method: 'post',
    },
    signoff: {
      url: `${commPrefix}/signoff`,
      method: 'post',
    },
    currentUser: {
      url: `${commPrefix}/user/current`,
      method: 'get',
    },
  },
  consultant: {
    list: {
      url: `${commPrefix}/consultant`,
      method: 'get',
    },
    add: {
      url: `${commPrefix}/consultant`,
      method: 'post',
    },
    edit: {
      url: `${commPrefix}/consultant/:id`,
      method: 'put',
    },
  },
  building:{
    list: {
      url: `${commPrefix}/buildinglist`,
      method: 'get'
    },
    add: {
      method: 'post',
      url: `${commPrefix}/building/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/building/update`
    },
    updateStatus: {
      method: 'put',
      url: `${commPrefix}/building/update/status`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingSelectId/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/building/delete/:id`
    }

  },
  file: {
    upload: {
      method: 'post',
      url: `${commPrefix}/image`
    },
  },
  apartment: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/buildingId/:buildingId`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingApartment/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingApartment/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/apartment/deleted/:id`
    }
  }
}

export default apis
