
const pages = [  
  {
    path: 'dashboard',
    name: 'dashboard',
    component: () => import('./Dashboard.vue'),
    meta: {
      menuShow: true,
      title: 'Dashboard',
    }
  },
  {
    path: 'consultant',
    name: 'consultant',
    redirect: 'consultant/list',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '置业管理',
    },
    children: [
      {
        path: 'list',
        name: 'consultant.list',
        component: () => import('./consultant/list.vue'),
        meta: {
          menuShow: true,
          title: '置业列表',
        },
      },
      {
        path: 'buildinglist',
        name: 'buildinglist',
        component: () => import('./building/list.vue'),
        meta: {
          menuShow: true,
          title: '楼盘列表',
        },
      },
      {
        path: 'buildingedit',
        name: 'buildingedit',
        component: () => import('./building/edit.vue'),
        meta: {
          menuShow: false,
        },
      }
    ]
  }
]

const flatten = (rts, parents = []) => {
  return rts.reduce((acc, rt) => {
    const chs = rt.children && rt.children.length ?
      flatten(rt.children, parents.concat(rt)) : []
    
    return [...acc, { ...rt, parents }, ...chs]
  }, [])
}

const pageArray = flatten(pages)

export { pages, pageArray }
